%global _hardened_build 1

Name:           lfcbase
Version:        1.5.10
Release:        1%{?dist}
Summary:        Lemke Foundation Classes
License:        GPLv3+
URL:            http://www.lemke-it.com/litexec?request=publfc&user=&lang=en
Source0:        http://www.lemke-it.com/%{name}-%{version}.tar.gz

%description
This class library contains several powerful c++ base classes for 
encapsulation of low level operating system calls and library functions. 

The following classes are included:
AESCrypt, Base64Coder, BigDecimal, BigInteger, Bitmap, Chain, CommandExecuter,
Crypt, Datetime, Exception, File, GetLongOpt, GetOpt, Host, ListT, Logger, 
Matcher, NanoTimer, Net, NetHandler, Process, Semaphore, SetT, SharedMemory, 
Sleeper, StackT, SigHandler, Thread, ThreadLock, Timer, Tokenizer, TreeT.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%configure --disable-static
sed -i -e 's/ -shared / -Wl,--as-needed\0/g' libtool

%build
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name '*.la' -delete -print

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%doc samples/*.cc
%{_includedir}/%{name}/
%{_libdir}/*.so

%changelog
* Sun Jun 22 2014 Christopher Meng <rpm@cicku.me> - 1.5.10-1
- Update to 1.5.10

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 02 2014 Christopher Meng <rpm@cicku.me> - 1.5.9-1
- Update to 1.5.9

* Mon Nov 04 2013 Christopher Meng <rpm@cicku.me> - 1.5.8-1
- Update to 1.5.8

* Tue Sep 03 2013 Christopher Meng <rpm@cicku.me> - 1.5.7-1
- Update to 1.5.7

* Fri Jul 26 2013 Christopher Meng <rpm@cicku.me> - 1.5.6-1
- Update to 1.5.6

* Mon Jun 10 2013 Christopher Meng <rpm@cicku.me> - 1.5.5-1
- Adaptions for MinGW compilation. 
- Removed copyright header in files with old FSF adress.

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 1.5.4-2
- Fix the license problem.

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 1.5.4-1
- Update to 1.5.4

* Thu May 16 2013 Christopher Meng <rpm@cicku.me> - 1.5.3-1
- Update to 1.5.3

* Wed May 15 2013 Christopher Meng <rpm@cicku.me> - 1.5.2-1
- Update to 1.5.2

* Mon May 06 2013 Christopher Meng <rpm@cicku.me> - 1.4.1-1
- Initial Package.
